Name:       ansible-role-dci-ocp-imagesideload
Version:    0.0.1
Release:    3.202208261608gitfe6a19c3%{?dist}
Summary:    An Ansible role to load container images on each OCP nodes
License:    ASL 2.0
URL:        https://github.com/redhat-cip/ansible-role-dci-ocp-imagesideload
Source0:    ansible-role-dci-ocp-imagesideload-%{version}.tar.gz
BuildArch:  noarch
Requires:   ansible-role-dci-podman

%description
An Ansible role to upload container images on each OCP nodes.
This is useful when cluster is disconnected from Internet and cannot pull images directly.

%prep
%setup -qc


%build

%install
mkdir -pv %{buildroot}%{_datadir}/dci/roles/ansible-role-dci-ocp-imagesideload
chmod 755 %{buildroot}%{_datadir}/dci/roles/ansible-role-dci-ocp-imagesideload

cp -rv tasks %{buildroot}%{_datadir}/dci/roles/ansible-role-dci-ocp-imagesideload
cp -rv defaults %{buildroot}%{_datadir}/dci/roles/ansible-role-dci-ocp-imagesideload
cp -rv vars %{buildroot}%{_datadir}/dci/roles/ansible-role-dci-ocp-imagesideload

%files
%doc README.md
%license LICENSE
%{_datadir}/dci/roles/ansible-role-dci-ocp-imagesideload


%changelog
* Wed Aug 24 2022 Bill Peck <bpeck@redhat.com> 0.0.1-3
- Rebuild for el9

* Tue Dec 15 2020 Frederic Lepied <flepied@redhat.com> 0.0.1-2
- use 202208261608gitfe6a19c3 in the releas

* Wed Sep 16 2020 Thomas Vassilian <tvassili@redhat.com> - 0.0.1-1
- Initial release
